Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

job_pk
string<uuid>
required

Response

Read-only serializer for image-to-text jobs.

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only

Datetime when the record was created.

error_message
string
required
read-only

Error details if job failed.

status
enum<string>
required

Current job status.

  • queued - Queued
  • processing - Processing
  • expired - Expired
  • cancelled - Cancelled
  • completed - Completed
  • failed - Failed
Available options:
queued,
processing,
expired,
cancelled,
completed,
failed
description
string
required
read-only

Human-readable job description.

started_at
string<date-time>
required
read-only

When job processing started.

finished_at
string<date-time> | null
required
read-only

When the job processing successfully finished.

processing_time_seconds
number<double>
required
read-only

Calculate job processing time in seconds. If the job is still processing, calculate time since started. If the job was cancelled, deleted, calculate time until that point. if the job is completed, calculate time until finished.

cost_credits
string<decimal>
required
read-only

Job cost in 🪙 Credits.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
project
string<uuid> | null
required
read-only

Optional project this job belongs to.

shot
string<uuid> | null
required
read-only

Optional shot this job belongs to.

project_real_estate
string<uuid> | null
required
read-only

Optional real-estate project this job belongs to.

real_estate_shot
string<uuid> | null
required
read-only

Real-estate shot this job belongs to.

image_asset
string<uuid>
required
read-only

Image asset that is being described.

fidelity_level
enum<string>
required

Requested detail level for the generated description.

  • high - High
  • mid - Mid
  • low - Low
Available options:
high,
mid,
low
title
string
required
read-only

Short image title returned by the description model.

tag
string
required
read-only

Slug-style tag returned by the description model.

Pattern: ^[-a-zA-Z0-9_]+$
one_word_description
string
required
read-only

Single-word description returned by the description model.

description_asset
object
required

Serializer for TextAsset with basic fields.

description_asset_text
string | null
required
read-only

Return the description asset text value for the current request flow.

Run the main steps in order and keep side effects in this scope.

Args: obj: Input value used by this function.

Returns: Result value returned to the caller.